Version française
Home     About     Download     Resources     Contact us    
Browse thread
[Caml-list] Help using unix library?
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Steve Stevenson <steve@c...>
Subject: [Caml-list] Help using unix library?
Good afternoon:

     I have references to the unix library using ocaml 3.01. The make
file has

     ebv0: $(BASICOBJECTS)
	ocamlc -g -o ebv0 unix.cma $(BASICOBJECTS)
	cp ebv0 Test/ebv0

where BASICOBJECTS are all ocaml .cmo files. The complaint is

Fatal error: this bytecode file cannot run on this bytecode interpreter
Mismatch on primitive `unix_dup'

Does this sound like an installation problem or a mistake in my
coding? I'm not using dup.

Best regards,

steve
-------------------
To unsubscribe, mail caml-list-request@inria.fr.  Archives: http://caml.inria.fr